MKPROBE(1)

NAME
mkProbe - script file used to generate a Data Probe or Part 21 file reader executable for an EXPRESS schema.

SYNOPSIS
mkProbe [ -ilsSpP ] [ -R pdes-root ] [ -E express-path ] express-file schema-name

DESCRIPTION

mkProbe enables you to create a C++ library based on an EXPRESS file and an executable Data Probe or Part 21 file reader application. The Data Probe allows you to examine, input, and modify a data file corresponding to an EXPRESS schema. The Data Probe generated is specific to the express-file given as the first argument in the mkProbe command. The Part 21 file reader simply reads and writes a Part 21 file and outputs any errors encountered in the file.

The schema-name argument designates a location in which to place the executable. The directory selected (see OPTIONS below) is searched for the schema name provided. If schema-name does not exist, a directory will be created using the name provided. schema-name is also used as a suffix for the name of the executable.

A new directory is created under the directory from which the script was run. exp2cxx is called from this directory to generate the C++ classes to represent the schema information (a.k.a. the Schema Class Library.) The new directory contains the following:
1) the source code for the C++ classes generated by exp2cxx using
the first argument,
2) the object files generated from the source code above,
3) the library created from the object files above,
4) your new Data Probe executable (or p21read if the -p option was
used.)
   i.e. under the directory from which the
   script was run you will find the
   following executable:
       {schema-name}/dp_{schema-name}
       (or {schema-name}/p21read_{schema-name})

OPTIONS

-i  Indicates that the new Data Probe should be installed into the PDES root directory. If -i is not specified the new Data Probe will be created in the directory from which the mkProbe script is run.

-l  Tells the script to only generate the library for the schema, and not to create the Data Probe application.

-p
-P  Tells the script to generate the Part 21 file reader for the schema, rather than the Data Probe application.
-s
-S  Tells exp2cxx to use only single-inheritance, rather than multiple inheritance.

-R pdes_root
    Set the PDES root directory. This is the directory that mkProbe will consider the root of the source tree. The PDES root directory can also be defined by the environment variable PDES_ROOT. This variable should be set using the appropriate shell command. For example, C shell users would give the command
    	setenv PDES_ROOT ~pdes
    If the -r option is not given, and the PDES_ROOT environment variable is not set, mkProbe looks for the directory /proj/pdevel to use as the root.

-E express-path
    Specifies an EXPRESS_PATH environment variable to be used when exp2cxx is executed in mkProbe. If this option is not set, mkProbe will use the current EXPRESS_PATH environment variable. For more information, see the documentation on the NIST EXPRESS Toolkit.

express-file
    The Express file used to create the schema specific Data Probe.

schema-name
    A schema name which is used for naming a new directory and the Data Probe executable.

EXAMPLES
Input command line                location and name
----------------------------------------------------
mkProbe part41.exp pt41           ./pt41/dp_pt41
mkProbe -p part41.exp pt41        ./pt41/p21read_pt41
mkProbe -i part41.exp pt41        $PDES_ROOT/arch/Probes/pt41/dp_pt41

OUTPUT
If errors are detected, the output generated shows the following:
           - Errors in input
           - Compilation errors If no errors are encountered, the output generated shows the following:
           - The name of the new Data Probe generated
           - Instructions for running Data Probe

SEE ALSO
exp2cxx(1)

http://scl.nist.gov

ISO 10303-11:1994 Industrial Automation Systems and Integration - Product Data Representation and Exchange - Part 11: Description Methods: The EXPRESS Language Reference Manual.

Morris, K.C., Sauderd, D., Ressler, S., lidation Testing System: Reusable Software Component Design, NISTIR 4937, National Institute of Standards and Technology, October 1992.

Sauder, D., Probe Users Guide, NISTIR 5141, National Institute of Standards and Technology, March 1993.

NOTE

All NISTIR documents may be obtained through the National Technical Information Service (NTIS), Springfield VA 22161, USA or through the web. See http://scl.nist.gov for a listing of related documentation.